package com.diagbot.repository;

import com.diagbot.biz.push.entity.Item;
import com.diagbot.dto.CriticalNeoDTO;
import com.diagbot.entity.node.PacsCritical;
import com.diagbot.util.StringUtil;
import com.diagbot.vo.CriticalNeoVO;

import java.util.ArrayList;
import java.util.List;

public class PacsCriticalNode {


	/**
	 * 获取辅检危急值
	 */
	public List<CriticalNeoDTO> getPacsList(CriticalNeoVO criticalNeoVO, PacsCriticalRepository pacsCriticalRepository) {
		String result;
		Integer agemin, agemax;

		List<CriticalNeoDTO> criticallist = new ArrayList<>();
		CriticalNeoDTO criticalNeoDTO = new CriticalNeoDTO();

		Integer gender = criticalNeoVO.getSex();
		Double age = criticalNeoVO.getAge();
		List<Item> pacsres = criticalNeoVO.getPacsLabel().getRes();

		try {
			List<String> rules = new ArrayList<>();
			List<String> removelt = new ArrayList<>();

			for (Item item : pacsres) {

				String name = item.getUniqueName();

				if (StringUtil.isNotBlank(name)) {
					List<PacsCritical> pacslist = pacsCriticalRepository.findByResult(name);

					for (PacsCritical pacscri : pacslist) {
						rules.add(pacscri.getVal());
					}
				}
			}

			for (String x : rules) {
				for (String y : rules) {
					if (y.contains(x)) {
						removelt.add(x);
					}
				}
			}

			for (String rule : rules) {
				if (removelt.indexOf(rule)==-1) {
					criticalNeoDTO = new CriticalNeoDTO();
					criticalNeoDTO.setName(rule);
					criticalNeoDTO.setStandname(rule);
					criticalNeoDTO.setType(Constants.fujian);

					criticallist.add(criticalNeoDTO);
				}
			}

		} catch (Exception ex) {
			ex.printStackTrace();
		}

		return criticallist;
	}


}

